package org.objectweb.axis.separate.helloBean;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.apache.axis.utils.Options;

import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;

public class HelloClient
{
    public static void main(String [] args)
    {
        try {
            Options options = new Options(args);
            
            String endpointURL = options.getURL();
            System.out.println("endPoint :"+ endpointURL);

            Service  service = new Service();
            Call     call    = (Call) service.createCall();
            System.out.println("calling service :HelloBeanServiceSep.hello");

            call.setTargetEndpointAddress( new java.net.URL(endpointURL) );
            call.setOperationName( new QName("HelloBeanServiceSep", "hello") );
            call.setReturnType( org.apache.axis.encoding.XMLType.XSD_STRING );

            String ret =  (String) call.invoke(new Object[]{});
	    
            System.out.println("Returned : " + ret);
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }
}
