<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListContainers" selected="true"><bean:message key="tab.containers"/></sj:tab>
  <sj:tab forward="ActionEditEjbContainerService"><bean:message key="tab.ejbContainerService"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <bean:size id="listSize" name="listContainers"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.containers.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.label.containers.file"/>&nbsp;</sj:jgColTitle>
          <sj:jgColTitle><bean:message key="list.label.containers.name"/>&nbsp;</sj:jgColTitle>
          <sj:jgColTitle><bean:message key="list.label.containers.path"/>&nbsp;</sj:jgColTitle>
        </sj:jgRowTitle>
        <logic:iterate id="item" name="listContainers">
          <sj:gridrow valign="top">
            <sj:gridcol><bean:write name="item" property="file"/>&nbsp;</sj:gridcol>
            <sj:gridcol><bean:write name="item" property="name"/>&nbsp;</sj:gridcol>
            <sj:gridcol><bean:write name="item" property="path"/>&nbsp;</sj:gridcol>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

