// AddressBookClientDII.java

package org.objectweb.ws.addressbook_client_ejb.beans.ab_diiclient;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

import org.objectweb.ws.addressbook_client_ejb.gen.Address;

/**
 * AddressBookClientDII remote interface
 */
public interface AddressBookClientDII extends EJBObject {
    public Address getAddress(String name) throws java.rmi.RemoteException;
    public Address[] getAllAddresses() throws java.rmi.RemoteException;
    public int countAddresses() throws java.rmi.RemoteException;
    public String getOwner() throws java.rmi.RemoteException;
    public String addEntry(Address a) throws java.rmi.RemoteException;
    public void setEndpointURL(java.net.URL url) throws java.rmi.RemoteException;
}
