/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id:
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.service.ejb;

import javax.management.ObjectName;

import org.objectweb.jonas.jmx.JonasObjectName;

/**
 *
 */

public class EditEjbEntityBmpAction extends EditEjbEntityAction {

// --------------------------------------------------------- Public Methods

// --------------------------------------------------------- Protected Methods

   /**
    * Get a <code>ObjectName</code> instance for the Ejb given
    * with the parameters of the HTPP request.
    *
    * @return The ObjectName instance
    * @throws Exception
    */
   protected ObjectName getEjbObjectName()
      throws Exception {
      return JonasObjectName.ejbbmp(ms_ParamFile, ms_ParamName);
   }

   /**
    * The global forward to go.
    *
    * @return Forward
    */
   /*
       protected String getForward()
       {
      return "EjbBmp";
       }
    */

}
