<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.action.Action"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<script language="JavaScript">
function ListOption(content, id)
{
	this.content = content;
	this.id = id;
}
function copySelected(p_FormName, p_ListNameSource, p_ListNameDestination)
{
	var oSelectSrc = eval("document." + p_FormName + "." + p_ListNameSource + "Selected");
	var oSelectDst = eval("document." + p_FormName + "." + p_ListNameDestination + "Selected");
	var len, i, cpt, cptSel;
	var tab = new Array();
	var tabSel = new Array();
	cpt = 0;
	cptSel = 0;
	oSelectDst.selectedIndex = -1;
	for (i = 0; i < oSelectSrc.options.length; i++)
	{
		if (oSelectSrc.options[i].selected)
		{
			oSelectDst.options[oSelectDst.options.length] = new Option(oSelectSrc.options[i].text,oSelectSrc.options[i].value);
			tabSel[cptSel++] = oSelectDst.options[oSelectDst.options.length - 1];
		}
		else
			tab[cpt++] = new ListOption(oSelectSrc.options[i].text, oSelectSrc.options[i].value);
	}
	// we recontruct the select options, otherwise, IE5 crashes when you affect null value to a select option
	oSelectSrc.selectedIndex = -1;
	oSelectSrc.options.length = 0;
	for (i = 0; i < tab.length; i++)
		oSelectSrc.options[i] = new Option(tab[i].content, tab[i].id);
	// we reselected the item which have just been moved
	for (i = 0; i < tabSel.length; i++)
		tabSel[i].selected = true;
	// Update the corresponding Hidden field
	updateHidden(p_FormName, p_ListNameSource);
	updateHidden(p_FormName, p_ListNameDestination);
	return false;
}
function selectToString(p_Select)
{
	var len = p_Select.length;
	var i;
	var res;
	res = "";
	for (i = 0; i < len; i++)
	{
		res += p_Select.options[i].value;
		if (i < len - 1)
			res += ",";
	}
	return res;
}
function updateHidden(p_FormName, p_ListName)
{
	var oSelect = eval("document." + p_FormName + "." + p_ListName + "Selected");
	var oHidden = eval("document." + p_FormName + "." + p_ListName);
	oHidden.value = selectToString(oSelect);
}
</script>


<body class="content">
<html:form action="/ApplyDeploy">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:panel>
    <sj:tab forward="ActionEditDeploy" selected="true"><bean:message key="tab.deployment"/></sj:tab>
    <!--sj:grid globalRowStyleClass="panel"-->
    <sj:grid cellPadding="10">
      <sj:gridrow>
        <sj:gridcol>
          <html:hidden property="undeploy"/>
          <html:select property="undeploySelected" multiple="true" size="10">
            <html:options property="listUndeploy"/>
          </html:select>
        </sj:gridcol>
        <sj:gridcol>
          <table border="0" cellpadding="0" cellspacing="0">
            <tr><td align="center">
            &nbsp;<html:button styleClass="button" property="btnDeploy" onclick="copySelected('deployForm','undeploy','deploy')"><bean:message key="button.deployment.deploy"/></html:button>&nbsp;
            </td></tr>
            <tr><td>&nbsp;</td></tr>
            <tr><td align="center">
            &nbsp;<html:button styleClass="button" property="btnUndeploy" onclick="copySelected('deployForm','deploy','undeploy')"><bean:message key="button.deployment.undeploy"/></html:button>&nbsp;
            </td></tr>
          </table>
        </sj:gridcol>
        <sj:gridcol>
          <html:hidden property="deploy"/>
          <html:select property="deploySelected" multiple="true" size="10">
            <html:options property="listDeploy"/>
          </html:select>
        </sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:gridcol>&nbsp;</sj:gridcol>
        <sj:gridcol align="center"><html:submit styleClass="button"><bean:message key="button.apply"/></html:submit></sj:gridcol>
        <sj:gridcol>&nbsp;</sj:gridcol>
      </sj:gridrow>
    </sj:grid>

    <sj:panelSeparator/>

    <logic:present name="<%=Action.ERROR_KEY%>">
      <sj:jonasgrid>
        <sj:gridrow styleClass="errors">
          <sj:gridcol styleClass="errors"><html:errors/></sj:gridcol>
        </sj:gridrow>
      </sj:jonasgrid>
    </logic:present>

  </sj:panel>
</sj:tabs>
</html:form>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

