<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/controls.tld" prefix="controls" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forwardControl="ActionListMBeanProperties"><bean:message key="tab.mbean.properties"/></sj:tab>
  <sj:tab forwardControl="ActionListMBeanAttributes"><bean:message key="tab.mbean.attributes"/></sj:tab>
  <sj:tab forwardControl="ActionListMBeanOperations" selected="true"><bean:message key="tab.mbean.operations"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid periodRow="2">
      <logic:iterate id="Ope" name="MBeanOperations">
        <sj:gridrow>
          <sj:jgName bold="false"><bean:write name="Ope" property="returnType"/></sj:jgName>
          <sj:jgValue>
            <b><bean:write name="Ope" property="name"/></b>
            (<bean:write name="Ope" property="parameters"/>)
          </sj:jgValue>
        </sj:gridrow>
        <sj:gridrow>
          <sj:jgName bold="false"><bean:write name="Ope" property="impact"/></sj:jgName>
          <sj:jgValue><bean:write name="Ope" property="description"/></sj:jgValue>
        </sj:gridrow>
      </logic:iterate>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>
</body>
<%@ include file="../common/end.jsp" %>
</html:html>
