<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="Container" selected="true"><bean:message key="tab.container"/></sj:tab>
  <sj:tab forward="ContainerEjbs"><bean:message key="tab.container.ejbs"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.name"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="containerName"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.file"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="fileName"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="list.title.container.ejbType"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfBeanType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfBeanType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfBMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfBMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfCMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfCMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfSBFType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfSBFType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfSBLType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfSBLType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.container.ejbType.currentNumberOfMDBType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfMDBType"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

