<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="Container"><bean:message key="tab.container"/></sj:tab>
  <sj:tab forward="ContainerEjbs" selected="true"><bean:message key="tab.container.ejbs"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <bean:size id="listSize" name="containerForm" property="ejbs"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.container.ejbs.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <sj:jgRowTitle>
          <sj:jgNameTitle><bean:message key="list.label.container.ejbs.name"/></sj:jgNameTitle>
          <sj:jgValueTitle><bean:message key="list.label.container.ejbs.type"/></sj:jgValueTitle>
        </sj:jgRowTitle>
        <logic:iterate id="item" name="containerForm" property="ejbs">
          <sj:gridrow>
            <sj:jgName><bean:write name="item" property="name"/></sj:jgName>
            <sj:jgValue><bean:write name="item" property="typeStringResource"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

